Bug 499032 - GtkToolbar does not see tab key
GtkToolbar does not see tab key
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gtk2 (Show other bugs)
5.4
All Linux
medium Severity medium
: rc
: ---
Assigned To: Cosimo Cecchi
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-04 16:55 EDT by ritz
Modified: 2013-04-30 18:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-16 01:45:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch based on upstream code (13.68 KB, patch)
2009-05-04 16:55 EDT, ritz
no flags Details | Diff

  None (edit)
Description ritz 2009-05-04 16:55:13 EDT
Created attachment 342383 [details]
patch based on upstream code

Description of problem:
Very simply try tabling and using the cursor keys to navigate around the application.

How reproducible:
every time.

Steps to Reproduce:
open system config network gui on a cleanly installed system. start navigating without a mouse, ie using tabs and cursor keys.

Actual results:
Tab order is incorrect, and frustratingly can not get the to the "edit" button.

Expected results:
Tab orders to be correct and all non-greyed out buttons should be accessible.

Additional info:

upstream fix - 
http://git.gnome.org/cgit/gtk+/commit/?id=e631aef88191c44f199cb54ee6b75304b63193db
Comment 4 RHEL Product and Program Management 2009-11-06 14:18:14 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Note You need to log in before you can comment on or make changes to this bug.